VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Static Public Member Functions | Public Attributes | List of all members
TestDefaults Struct Reference

`#include <testbase.h>`

## Static Public Member Functions
static TestDefaults & | instance ()

## Public Attributes
int32 | numIterations {20}
int32 | defaultSampleRate {44100}
int32 | defaultBlockSize {64}
int32 | maxBlockSize {8192}
int32 | buffersAreEqual {0}
int32 | numAudioBlocksToProcess {3}
uint64 | channelIsSilent {1}

## Member Function Documentation

static TestDefaults& instance | ( |  | ) |
| inline static

## Member Data Documentation

int32 numIterations {20}

int32 defaultSampleRate {44100}

int32 defaultBlockSize {64}

int32 maxBlockSize {8192}

int32 buffersAreEqual {0}

int32 numAudioBlocksToProcess {3}

uint64 channelIsSilent {1}

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.